> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate a user's phone number

> Validate a user's phone number



## OpenAPI

````yaml put /phone/verify
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /phone/verify:
    put:
      tags:
        - KYC
      summary: Validate a user's phone number
      description: Validate a user's phone number
      operationId: put-phone-verify
      requestBody:
        content:
          application/json:
            schema:
              example:
                phoneID: ''
                verificationMethod: ''
              properties:
                phoneID:
                  type: string
                verificationMethod:
                  enum:
                    - sendotp
                    - receiveotp
                  type: string
              required:
                - phoneID
                - verificationMethod
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                example:
                  data:
                    maskedPhoneNumber: +25475****600
                    phoneID: 506e46b8e67f4f4bbdda96b3ee3295d1
                  message: verification method set successfully
                properties:
                  data:
                    properties:
                      maskedPhoneNumber:
                        type: string
                      phoneID:
                        type: string
                    type: object
                  message:
                    type: string
                type: object
          description: choose phone verification method ok
      security:
        - x-api-key: []
          x-api-user: []
        - authorization: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````